ServerTune

Browse by category

Search    |    Advanced search

RubyGems :: FYI

- Updating RubyGems

Some versions of RubyGems have a bug that will prevent automatic updates. If RubyGems says it has nothing to update, run:



The local path to RubyGems binary package is:

/usr/bin/gem

How can I get RubyGems?

If you have installed RubyGems using a package system you may want to install a new RubyGems through the same packaging system.

If you have a recent version of RubyGems (0.8.5 or later), then all you need to do is:

RubyGems v1.1 and v1.2 have problems upgrading when there is no rubygems-update installed. You will need to follow the second set of update, if you see "Nothing to update".

NOTE:
You may have to run the command twice if you have any previosly installed rubygems-update gems.

If you have an older version of RubyGems installed, then you can still do it in two steps:

 
 
Add comment
 
Views: 1147
 
Votes: 0
 
Comments: 0
 

Other articles in this Category

RSS